RegionAttributesType.DiskWriteAttributes.AsynchronousWrites (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class RegionAttributesType.DiskWriteAttributes.AsynchronousWrites

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.DiskWriteAttributes.AsynchronousWrites

- Enclosing class:
    RegionAttributesType.DiskWriteAttributes

      public static class RegionAttributesType.DiskWriteAttributes.AsynchronousWrites
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `bytesThreshold`
    `protected String` | `timeInterval`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynchronousWrites()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBytesThreshold()` Gets the value of the bytesThreshold property.
    `String` | `getTimeInterval()` Gets the value of the timeInterval property.
    `void` | `setBytesThreshold(String value)` Sets the value of the bytesThreshold property.
    `void` | `setTimeInterval(String value)` Sets the value of the timeInterval property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bytesThreshold

          protected String bytesThreshold

    - #### timeInterval

          protected String timeInterval

  - ### Constructor Detail

    - #### AsynchronousWrites

          public AsynchronousWrites()

  - ### Method Detail

    - #### getBytesThreshold

          public String getBytesThreshold()

      Gets the value of the bytesThreshold property. possible object is `String`
      Returns:
        the value of the bytesThreshold property

    - #### setBytesThreshold

          public void setBytesThreshold(String value)

      Sets the value of the bytesThreshold property. allowed object is `String`
      Parameters:
        `value` - the value of the bytesThreshold property

    - #### getTimeInterval

          public String getTimeInterval()

      Gets the value of the timeInterval property. possible object is `String`
      Returns:
        the value of the timeInterval property

    - #### setTimeInterval

          public void setTimeInterval(String value)

      Sets the value of the timeInterval property. allowed object is `String`
      Parameters:
        `value` - the value of the timeInterval property